DT314 Migrationsregel Neu ab S 39.5.0

DI062142 UUID

Der Primärschlüssel dieser Tabelle in Form eines Universally Unique Identifier

DI062195 Letzter Lauf

Zeigt den Wert aus dem Feld Zeitpunkt für die letzte Ausführung dieses Migrationspakets an.

DI062152 Angelegt am

Enthält das Datum, an dem das Migrationspaket ins System eingelesen wurde

DI062327 Paket-Release

Zeigt an, zu welchem Release dieses Paket gehört

DI062324 Kurzbeschreibung

Enthält einen Satz, der die Informationen über das Migrationspaket kurz zusammenfasst.

DI062325 Beschreibung

Enthält ggf. eine längere Beschreibung des Migrationspaketes

DI062328 Paketname

Enthält den Namen des Migrationspaketes. Dies entspricht dem Namen der Python-Klasse.

DI062154 Version

Die Version des Pakets

DI062155 Python-Pfad

Der Pfad zur Python-Klasse

application Beispiel

  • Die Standard-Migrationspakete der Version S 39.5.0 liegen unter .../migration/planta_de/S_39_5_0/...

DI062156 Bei Systemstart

Gibt an, ob das Paket ausgeführt werden soll, wenn der Server migriert wird.

DI062157 Erledigt

Gibt an, ob das Migrationspaket abgeschlossen ist, unabhängig davon, ob das Migrationspaket automatisch während der Migration abgeschlossen wurde oder manuell als erledigt gekennzeichnet wurde.

DI062326 Paketkategorie

Gibt an, ob es sich bei dem Paket um ein Hilfspaket, ein Pflichtpaket oder ein optionales Paket handelt

DI062200 Ampel: Letzter Status

Ampel, die angibt, auf welchen Status das Paket nach dem letzten Lauf gesetzt wurde.

note Werte

WhiteTrLt.PNG Neu
GreenTrLt.PNG Installiert
YellowTrLt.PNG Offen
RedTrLt.png Fehlgeschlagen
GreyTrLt.PNG Nicht relevant

DI062187 Ampel: Valider Python-Pfad

Ampel-DI, das angibt, ob der Wert im Feld Python-Pfad auf ein Migrationspaket zeigt.

DI063718 Minimale Datenbank-Version

Gibt den unteren minimalen Wert der Datenbank-Version an, die vorhanden sein muss, damit das angegebene Migrationspaket als relevant eingestuft und ausgeführt werden kann.

DI063719 Maximale Datenbank-Version

Gibt den oberen maximalen Wert der Datenbank-Version an, die vorhanden sein muss, damit das angegebene Migrationspaket als relevant eingestuft und ausgeführt werden kann.

Neu ab DB 39.5.11

DI064804 DBMS-Abhängigkeit

Gibt an, ob das Paket eine Abhängigkeit von einem Datenbankmanagementsystem aufweist.

note Werte

  • DBMS-unabhängig
  • Oracle
  • MSSQL
  • Ungültiges DBMS

Neu ab DB 39.5.11

DI064805 Abhängigkeit: Erwarteter Status

Ampel für die Visualisierung des zu erwartenden Status des Pakets, von dem das aktuelle Paket abhängig ist.

note Werte

WhiteTrLt.PNG Neu
GreenTrLt.PNG Installiert
YellowTrLt.PNG Offen
RedTrLt.png Fehlgeschlagen
GreyTrLt.PNG Nicht relevant

Topic attachments
I Attachment Action Size Date Who Comment
pngPNG GreenTrLt.PNG manage 0.6 K 2018-02-14 - 14:37 IrinaZieger  
pngPNG GreyTrLt.PNG manage 0.5 K 2018-02-14 - 14:36 IrinaZieger  
pngpng RedTrLt.png manage 0.6 K 2018-02-14 - 14:36 IrinaZieger  
pngPNG WhiteTrLt.PNG manage 0.5 K 2018-02-14 - 14:37 IrinaZieger  
pngPNG YellowTrLt.PNG manage 0.6 K 2018-02-14 - 14:37 IrinaZieger  
Topic revision: r14 - 2018-02-14 - 14:44:11 - IrinaZieger








 
  • Suche in Topic-Namen

  • Suche in Topic-Inhalten